import { OnInit } from '@angular/core';
import { SmzDockItem, SmzDockService } from '../../services/smz-dock.service';
import * as i0 from "@angular/core";
export declare class SmzDockComponent implements OnInit {
    dockService: SmzDockService;
    constructor(dockService: SmzDockService);
    ngOnInit(): void;
    execute(item: SmzDockItem): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SmzDockComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SmzDockComponent, "smz-ui-dock", never, {}, {}, never, never, false, never>;
}
